<template>
  <TabCarousel
    :tabsTitle="tabsTitle"
    :aspectRatio="0.62"
    :scrollAnimation="scrollAnimation"
  >
    <Slide v-for="tab in tabs" :key="tab.id" class="tab-slide">
      <template v-slot:content>
        <ul class="case-prototype__list">
          <li
            class="case-prototype__item"
            v-for="image in tab.images"
            :key="image.id"
          >
            <img
              :src="image.url"
              :alt="tab.title"
              class="case-prototype__image"
            />
          </li>
        </ul>
      </template>
    </Slide>
  </TabCarousel>
</template>
<script>
import { computed } from 'vue'
import { VueperSlide } from 'vueperslides'
import TabCarousel from '@/components/shared/TabCarousel'

export default {
  name: 'CasePrototype',
  props: {
    tabs: {
      type: Array,
      required: true,

      //  add validator
      validator() {
        return true
      }
    },
    scrollAnimation: {
      type: Boolean,
      default: () => false
    }
  },
  components: {
    Slide: VueperSlide,
    TabCarousel
  },
  setup(props) {
    const tabsTitle = computed(() => props.tabs.map(t => t.title))

    return { tabsTitle }
  }
}
</script>
